"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ModuleDependency = require("webpack/lib/dependencies/ModuleDependency");
class BabelTargetSingleEntryDependency extends ModuleDependency {
    constructor(babelTarget, request, originalName) {
        super(`${babelTarget.getTargetedRequest(request)}`);
        this.babelTarget = babelTarget;
        this.originalName = originalName;
        this.name = babelTarget.getTargetedAssetName(originalName);
        this.loc = `${this.request}!${babelTarget.key}`;
    }
    get type() {
        return "babel target single entry";
    }
    getResourceIdentifier() {
        return `module${this.request}!${this.babelTarget.key}`;
    }
}
exports.BabelTargetSingleEntryDependency = BabelTargetSingleEntryDependency;
//# sourceMappingURL=babel.target.single.entry.dependency.js.map